Saltar al contenido principal
GET
/
v1
/
bank-accounts
Listar cuentas bancarias
curl --request GET \
  --url https://api.unisaldos.com/v1/bank-accounts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bank_access_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "number": "<string>",
      "type": "Corriente",
      "currency": "VES",
      "bank": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "connection_type": "api",
        "logo": "<string>",
        "country": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "bank_access_alias": "<string>",
      "bank_access_created_at": "2023-11-07T05:31:56Z",
      "short_number": "<string>",
      "alias": "<string>",
      "description": "<string>",
      "is_accounting_account": true,
      "accounting_account_code": "<string>",
      "accounting_account_description": "<string>",
      "role_ids": []
    }
  ],
  "page": 123,
  "page_size": 123,
  "total_items": 123,
  "total_pages": 123,
  "has_next_page": true,
  "has_previous_page": true
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de consulta

search
string | null
filters
string | null

JSON object with filter values. Example: {"status": "active"}

page
integer
predeterminado:1
Rango requerido: x >= 1
page_size
integer
predeterminado:30
Rango requerido: 1 <= x <= 200
sort_by
string | null
sort_order
enum<string>
predeterminado:asc
Opciones disponibles:
asc,
desc

Respuesta

Successful Response

items
IntegrationBankAccountListItemResponseSchema · object[]
requerido
page
integer
requerido
page_size
integer
requerido
total_items
integer
requerido
total_pages
integer
requerido
has_next_page
boolean
requerido
has_previous_page
boolean
requerido